<?php

namespace Market\ZodacoBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Categories
 */
class Categories
{
    /**
     * @var integer
     */
    private $id;

    /**
     * @var integer
     */
    private $mid;

    /**
     * @var string
     */
    private $title;

    /**
     * @var string
     */
    private $short_title;

    /**
     * @var string
     */
    private $long_title;

    /**
     * @var string
     */
    private $small_icon;

    /**
     * @var string
     */
    private $large_icon;

    /**
     * @var integer
     */
    private $total;

    /**
     * @var integer
     */
    private $sort;

    /**
     * @var integer
     */
    private $active;

    /**
     * @var \DateTime
     */
    private $createdAt;

    /**
     * @var \DateTime
     */
    private $updatedAt;


    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set mid
     *
     * @param integer $mid
     * @return Categories
     */
    public function setMid($mid)
    {
        $this->mid = $mid;

        return $this;
    }

    /**
     * Get mid
     *
     * @return integer 
     */
    public function getMid()
    {
        return $this->mid;
    }

    /**
     * Set title
     *
     * @param string $title
     * @return Categories
     */
    public function setTitle($title)
    {
        $this->title = $title;

        return $this;
    }

    /**
     * Get title
     *
     * @return string 
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * Set short_title
     *
     * @param string $shortTitle
     * @return Categories
     */
    public function setShortTitle($shortTitle)
    {
        $this->short_title = $shortTitle;

        return $this;
    }

    /**
     * Get short_title
     *
     * @return string 
     */
    public function getShortTitle()
    {
        return $this->short_title;
    }

    /**
     * Set long_title
     *
     * @param string $longTitle
     * @return Categories
     */
    public function setLongTitle($longTitle)
    {
        $this->long_title = $longTitle;

        return $this;
    }

    /**
     * Get long_title
     *
     * @return string 
     */
    public function getLongTitle()
    {
        return $this->long_title;
    }

    /**
     * Set small_icon
     *
     * @param string $smallIcon
     * @return Categories
     */
    public function setSmallIcon($smallIcon)
    {
        $this->small_icon = $smallIcon;

        return $this;
    }

    /**
     * Get small_icon
     *
     * @return string 
     */
    public function getSmallIcon()
    {
        return $this->small_icon;
    }

    /**
     * Set large_icon
     *
     * @param string $largeIcon
     * @return Categories
     */
    public function setLargeIcon($largeIcon)
    {
        $this->large_icon = $largeIcon;

        return $this;
    }

    /**
     * Get large_icon
     *
     * @return string 
     */
    public function getLargeIcon()
    {
        return $this->large_icon;
    }

    /**
     * Set total
     *
     * @param integer $total
     * @return Categories
     */
    public function setTotal($total)
    {
        $this->total = $total;

        return $this;
    }

    /**
     * Get total
     *
     * @return integer 
     */
    public function getTotal()
    {
        return $this->total;
    }

    /**
     * Set sort
     *
     * @param integer $sort
     * @return Categories
     */
    public function setSort($sort)
    {
        $this->sort = $sort;

        return $this;
    }

    /**
     * Get sort
     *
     * @return integer 
     */
    public function getSort()
    {
        return $this->sort;
    }

    /**
     * Set active
     *
     * @param integer $active
     * @return Categories
     */
    public function setActive($active)
    {
        $this->active = $active;

        return $this;
    }

    /**
     * Get active
     *
     * @return integer 
     */
    public function getActive()
    {
        return $this->active;
    }

    /**
     * Set createdAt
     *
     * @param \DateTime $createdAt
     * @return Categories
     */
    public function setCreatedAt($createdAt)
    {
        $this->createdAt = $createdAt;

        return $this;
    }

    /**
     * Get createdAt
     *
     * @return \DateTime 
     */
    public function getCreatedAt()
    {
        return $this->createdAt;
    }

    /**
     * Set updatedAt
     *
     * @param \DateTime $updatedAt
     * @return Categories
     */
    public function setUpdatedAt($updatedAt)
    {
        $this->updatedAt = $updatedAt;

        return $this;
    }

    /**
     * Get updatedAt
     *
     * @return \DateTime 
     */
    public function getUpdatedAt()
    {
        return $this->updatedAt;
    }
}
